TUT Apktool mobile (cách sửa lỗi khi chỉnh sửa apk)

Thảo luận trong 'Thủ thuật - Sử dụng Android' bắt đầu bởi hyunhnhan886, 27 Tháng tư 2014.

  1. hyunhnhan886

    hyunhnhan886 Đột tử

    Tham gia ngày:
    8 Tháng sáu 2013
    Bài viết:
    2,408
    Đã được thích:
    1,549
    Cài đặt framework.apk , lge-res.apk vaf LGSysteUi.apk chưa?
     
    banchat9x thích bài này.
  2. kill_kim78

    kill_kim78 Active Member

    Tham gia ngày:
    9 Tháng sáu 2013
    Bài viết:
    854
    Đã được thích:
    159
    đây là lỗi string trong value không có mà lại có trong string của các value khác (et km ms) đại loại thế, còn ở dưới lỗi j thì chưa biết :) vì ảnh chỉ đến thế thôi. làm lại như tut hướng dẫn đi
     
    00demon00 thích bài này.
  3. minhvu

    minhvu Active Member

    Tham gia ngày:
    3 Tháng tám 2013
    Bài viết:
    487
    Đã được thích:
    401
    Mình đã bỏ 3 file : framework-res , LGSettings3_2 , LGSystemUI vào thư mục apktool. Chỉ bung và đóng được Framework , 2 file còn chỉ bung được ..nhưng không đóng gói được .
     
  4. hyunhnhan886

    hyunhnhan886 Đột tử

    Tham gia ngày:
    8 Tháng sáu 2013
    Bài viết:
    2,408
    Đã được thích:
    1,549
    Có dùng lệnh apktool if framework-res.apk không?
     
    banchat9x and minhvu like this.
  5. minhvu

    minhvu Active Member

    Tham gia ngày:
    3 Tháng tám 2013
    Bài viết:
    487
    Đã được thích:
    401
    Mình sử dụng lệnh : apktool if framework-res.apk , apktool if lge-res.apk đầy đủ . Có phải apktool không thể đóng gói file systemUI , LGsettings của rom 4.4.2 kitkat ? hoặc có 1 trở ngại gì chưa rỏ ?
    [​IMG]
     
  6. it's me

    it's me Member

    Tham gia ngày:
    6 Tháng tám 2013
    Bài viết:
    119
    Đã được thích:
    20
    Up up đánh dấu:p
     
  7. hsgduba

    hsgduba Well-Known Member

    Tham gia ngày:
    9 Tháng sáu 2013
    Bài viết:
    2,217
    Đã được thích:
    923
    mấy tut của bác bổ ích quá :inlove:
     
    hyunhnhan886 thích bài này.
  8. 00demon00

    00demon00 Member

    Tham gia ngày:
    27 Tháng mười 2013
    Bài viết:
    125
    Đã được thích:
    18
    Anh @hyunhnhan886 cho em hỏi lát em dùng tut này để mod thông báo pin yếu thì bị lỗi như thế này ạ khi cho vào system/ priapp set 644 thì mất thanh sttbar và thanh phím cảm ứng ở dưới ạ (em đang dùng F320L androi 4.4.2] m.n xem giúp em vs. Dưới là h/a sau khi em dich ngươc lại. Em đã làm theo hướng dẫn mấy lần nhưng vẫn thế
     

    Các file đính kèm:

  9. hyunhnhan886

    hyunhnhan886 Đột tử

    Tham gia ngày:
    8 Tháng sáu 2013
    Bài viết:
    2,408
    Đã được thích:
    1,549
    Lỗi gì đâu. Qua bên topic hướng dẫn. Đọc lại phần lưu ý cuối bài đó.

    Gửi từ LG-F180 của tôi bằng cách sử dụng Tapatalk
     
    banchat9x and 00demon00 like this.
  10. 00demon00

    00demon00 Member

    Tham gia ngày:
    27 Tháng mười 2013
    Bài viết:
    125
    Đã được thích:
    18
    Dạ e thêm như lưu ý cuối bài rồi bỏ vào đường dẫn mà vẫn mất 2 thanh kia anh ạ
     
  11. hyunhnhan886

    hyunhnhan886 Đột tử

    Tham gia ngày:
    8 Tháng sáu 2013
    Bài viết:
    2,408
    Đã được thích:
    1,549
    Bó tay
     
    banchat9x thích bài này.
  12. 00demon00

    00demon00 Member

    Tham gia ngày:
    27 Tháng mười 2013
    Bài viết:
    125
    Đã được thích:
    18
    Em ko pit lỗi này là do bản android hay sao á, em làm trên laptop cũng bị ntn khi cho vào đt nên lên đây hỏi m.n thử
     
  13. khikoon

    khikoon Member

    Tham gia ngày:
    8 Tháng sáu 2013
    Bài viết:
    58
    Đã được thích:
    8
    Cho mình hỏi, khi dịch ngược tất cả ra nó ko có thư mục smali thì làm sao zị???? :cry:
     
  14. dellvenues

    dellvenues Well-Known Member

    Tham gia ngày:
    10 Tháng sáu 2013
    Bài viết:
    2,712
    Đã được thích:
    2,564
    Bạn phải deodex cái file đó thì mới có
     
  15. khikoon

    khikoon Member

    Tham gia ngày:
    8 Tháng sáu 2013
    Bài viết:
    58
    Đã được thích:
    8
    Android 4.4 mới có làm đc cách này ko vậy bạn. Trên máy tính mình thấy ghi lỗi gì liên quan đến sdk 19 ấy. :geek:
     
  16. tiên việt hùng

    tiên việt hùng Member

    Tham gia ngày:
    29 Tháng sáu 2013
    Bài viết:
    50
    Đã được thích:
    7
    Mình đã làm thành công trên con G2 của mình trên máy tính. Android 4.4.2

    Gửi từ LG-F320S của tôi bằng cách sử dụng Tapatalk 2
     

    Các file đính kèm:

    dellvenues thích bài này.
  17. hunghieng

    hunghieng Active Member

    Tham gia ngày:
    18 Tháng mười 2013
    Bài viết:
    580
    Đã được thích:
    95
    W: Could not find sources
    aapt: warning: string 'accessibility_down_button' has no default translation in /sdcard/apktool/LGSystemUI_src/res; found: vi
    aapt: warning: string 'accessibility_expand_button' has no default translation in /sdcard/apktool/LGSystemUI_src/res; found: vi
    aapt: warning: string 'accessibility_left_button' has no default translation in /sdcard/apktool/LGSystemUI_src/res; found: vi
    aapt: warning: string 'accessibility_right_button' has no default translation in /sdcard/apktool/LGSystemUI_src/res; found: vi
    aapt: warning: string 'accessibility_up_button' has no default translation in /sdcard/apktool/LGSystemUI_src/res; found: vi
    aapt: warning: string 'compat_mode_help_body' has no default translation in /sdcard/apktool/LGSystemUI_src/res; found: et
    aapt: warning: string 'compat_mode_help_header' has no default translation in /sdcard/apktool/LGSystemUI_src/res; found: et
    aapt: warning: string 'jelly_bean_dream_name' has no default translation in /sdcard/apktool/LGSystemUI_src/res; found: et
    aapt: warning: string 'quick_settings_wifi_display_label' has no default translation in /sdcard/apktool/LGSystemUI_src/res; found: et
    aapt: warning: string 'quick_settings_wifi_display_no_connection_label' has no default translation in /sdcard/apktool/LGSystemUI_src/res; found: et
    aapt: warning: string 'sp_quicksettings_volume' has no default translation in /sdcard/apktool/LGSystemUI_src/res; found: vi
    aapt: warning: string 'status_bar_help_text' has no default translation in /sdcard/apktool/LGSystemUI_src/res; found: et
    aapt: warning: string 'status_bar_help_title' has no default translation in /sdcard/apktool/LGSystemUI_src/res; found: et
    I: Using Apktool 2.0.0-Beta7 on LGSystemUI_src
    I: Building resources...
    I: Building apk file...


    Xem giúp e vs
     
  18. viethoa87

    viethoa87 Active Member

    Tham gia ngày:
    30 Tháng tám 2013
    Bài viết:
    346
    Đã được thích:
    39
    mình làm trên pc cũng ko thể đóng gói được LGSysystemUI framework thì ok, mình đang ở 4.4.2 . mặc dù chỉ bung filera ko chỉnh sửa gì đóng lại luôn cũng ko được
     
  19. namlazy

    namlazy Member

    Tham gia ngày:
    1 Tháng năm 2014
    Bài viết:
    42
    Đã được thích:
    3
    Lỗi gì đây bác.đã set apktool data foder mà sao lại ? Vậy
    I: Framework installed to: ?/apktool/framework/1.apk
     
  20. CongDat96

    CongDat96 New Member

    Tham gia ngày:
    19 Tháng tám 2014
    Bài viết:
    1
    Đã được thích:
    0
    E dec systemUI xong rec lại luôn thì bị lỗi này ạk
    W: Could not find sources
    I: Building resources...
    W: aapt location could not be found. Defaulting back to default
    Exception in thread "main" brut.androlib.AndrolibException: brut.androlib.AndrolibException: brut.common.BrutException: could not exec command: [aapt, p, --min-sdk-version, 17, --target-sdk-version, 17, -F, /data/data/per.pqy.apktool/APKTOOL6324108785057879387.tmp, -0, arsc, -I, ?/apktool/framework/1.apk, -S, /sdcard/apktool/SystemUI_src/res, -M, /sdcard/apktool/SystemUI_src/AndroidManifest.xml]
    at brut.androlib.Androlib.buildResourcesFull(Androlib.java:358)
    at brut.androlib.Androlib.buildResources(Androlib.java:283)
    at brut.androlib.Androlib.build(Androlib.java:206)
    at brut.androlib.Androlib.build(Androlib.java:176)
    at brut.apktool.Main.cmdBuild(Main.java:228)
    at brut.apktool.Main.main(Main.java:79)
    Caused by: brut.androlib.AndrolibException: brut.common.BrutException: could not exec command: [aapt, p, --min-sdk-version, 17, --target-sdk-version, 17, -F, /data/data/per.pqy.apktool/APKTOOL6324108785057879387.tmp, -0, arsc, -I, ?/apktool/framework/1.apk, -S, /sdcard/apktool/SystemUI_src/res, -M, /sdcard/apktool/SystemUI_src/AndroidManifest.xml]
    at brut.androlib.res.AndrolibResources.aaptPackage(AndrolibResources.java:357)
    at brut.androlib.Androlib.buildResourcesFull(Androlib.java:336)
    ... 5 more
    Caused by: brut.common.BrutException: could not exec command: [aapt, p, --min-sdk-version, 17, --target-sdk-version, 17, -F, /data/data/per.pqy.apktool/APKTOOL6324108785057879387.tmp, -0, arsc, -I, ?/apktool/framework/1.apk, -S, /sdcard/apktool/SystemUI_src/res, -M, /sdcard/apktool/SystemUI_src/AndroidManifest.xml]
    at brut.util.OS.exec(OS.java:93)
    at brut.androlib.res.AndrolibResources.aaptPackage(AndrolibResources.java:355)
    ... 6 more
    Caused by: java.io.IOException: Cannot run program "aapt": error=13, Permission denied
    at java.lang.ProcessBuilder.start(ProcessBuilder.java:1042)
    at java.lang.Runtime.exec(Runtime.java:615)
    at java.lang.Runtime.exec(Runtime.java:483)
    at brut.util.OS.exec(OS.java:84)
    ... 7 more
    Caused by: java.io.IOException: error=13, Permission denied
    at java.lang.UNIXProcess.forkAndExec(Native Method)
    at java.lang.UNIXProcess.<init>(UNIXProcess.java:135)
    at java.lang.ProcessImpl.start(ProcessImpl.java:130)
    at java.lang.ProcessBuilder.start(ProcessBuilder.java:1023)
    ... 10 more
     

Chia sẻ trang này